org.jbpm.workflow.instance.node

## Class HumanTaskNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.WorkItemNodeInstance
        - - org.jbpm.workflow.instance.node.HumanTaskNodeInstance

- All Implemented Interfaces:
    Serializable, ContextInstanceContainer, EventBasedNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance

      public class HumanTaskNodeInstance
      extends WorkItemNodeInstance

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `PARAMETER_MATCHER`

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `assignWorkItem(org.drools.core.process.instance.WorkItem workItem)`
    `protected org.drools.core.process.instance.WorkItem` | `createWorkItem(WorkItemNode workItemNode)`
    `HumanTaskNode` | `getHumanTaskNode()`
    `void` | `triggerCompleted(org.drools.core.process.instance.WorkItem workItem)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.WorkItemNodeInstance

      `addContextInstance, addEventListeners, cancel, getContextContainer, getContextInstance, getContextInstance, getContextInstances, getEventTypes, getNodeName, getSourceParameters, getWorkItem, getWorkItemId, getWorkItemNode, internalSetWorkItem, internalSetWorkItemId, internalTrigger, isInversionOfControl, removeContextInstance, removeEventListeners, signalEvent, validateWorkItemResultVariable, workItemAborted, workItemCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, internalSetTimerInstances, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getUniqueId, getVariable, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanTaskNodeInstance

          public HumanTaskNodeInstance()

  - ### Method Detail

    - #### getHumanTaskNode

          public HumanTaskNode getHumanTaskNode()

    - #### createWorkItem

          protected org.drools.core.process.instance.WorkItem createWorkItem(WorkItemNode workItemNode)

      Overrides:
        `createWorkItem` in class `WorkItemNodeInstance`

    - #### assignWorkItem

          protected String assignWorkItem(org.drools.core.process.instance.WorkItem workItem)

    - #### triggerCompleted

          public void triggerCompleted(org.drools.core.process.instance.WorkItem workItem)

      Overrides:
        `triggerCompleted` in class `WorkItemNodeInstance`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.